## org.apache.bcel.verifier.statics
Class LONG_Upper

    java.lang.Object
      |
      +--org.apache.bcel.generic.Type
            |
            +--org.apache.bcel.verifier.statics.LONG_Upper

public final class LONG_Upper
extends Type

This class represents the upper half of a LONG variable.

Version:
  $Id: LONG_Upper.java,v 1.1.1.1 2001/10/29 20:00:34 jvanzyl Exp $
Author:
  Enver Haase

Fields inherited from class org.apache.bcel.generic.Type
`BOOLEAN, BYTE, CHAR, DOUBLE, FLOAT, INT, LONG, NO_ARGS, NULL, OBJECT, SHORT, signature, STRING, STRINGBUFFER, THROWABLE, type, UNKNOWN, VOID`

Method Summary
`static LONG_Upper` `theInstance()` Use this method to get the single instance of this class.

Methods inherited from class org.apache.bcel.generic.Type
`getArgumentTypes, getMethodSignature, getReturnType, getSignature, getSize, getType, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### theInstance

    public static LONG_Upper theInstance()

  Use this method to get the single instance of this class.